Package com.independentsoft.office.word.mailMerge

# Enum Class MailMergeDocumentType

java.lang.Object
java.lang.Enum<MailMergeDocumentType>
com.independentsoft.office.word.mailMerge.MailMergeDocumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<MailMergeDocumentType>`, `Constable`

public enum MailMergeDocumentType extends Enum<MailMergeDocumentType>
The Enum MailMergeDocumentType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CATALOG`
  `EMAIL`
  `ENVELOPE`
  `FAX`
  `FORM_LETTER`
  `MAILING_LABEL`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailMergeDocumentType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MailMergeDocumentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CATALOG

    public static final MailMergeDocumentType CATALOG

  - ### EMAIL

    public static final MailMergeDocumentType EMAIL

  - ### ENVELOPE

    public static final MailMergeDocumentType ENVELOPE

  - ### FAX

    public static final MailMergeDocumentType FAX

  - ### FORM_LETTER

    public static final MailMergeDocumentType FORM_LETTER

  - ### MAILING_LABEL

    public static final MailMergeDocumentType MAILING_LABEL

  - ### NONE

    public static final MailMergeDocumentType NONE

- ## Method Details

  - ### values

    public static MailMergeDocumentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MailMergeDocumentType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null